org.eclipse.rdf4j.repository

## Class SparqlRegexTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.SparqlRegexTest

-     public abstract class SparqlRegexTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `queryBinding`
    `String` | `queryBindingFlags`
    `String` | `queryExpr`
    `String` | `queryInline`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparqlRegexTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testBinding()`
    `void` | `testBindingFlags()`
    `void` | `testExpr()`
    `void` | `testInline()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryInline

          public String queryInline

    - #### queryBinding

          public String queryBinding

    - #### queryBindingFlags

          public String queryBindingFlags

    - #### queryExpr

          public String queryExpr

  - ### Constructor Detail

    - #### SparqlRegexTest

          public SparqlRegexTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testInline

          public void testInline()
                          throws Exception

      Throws:
        `Exception`

    - #### testBinding

          public void testBinding()
                           throws Exception

      Throws:
        `Exception`

    - #### testBindingFlags

          public void testBindingFlags()
                                throws Exception

      Throws:
        `Exception`

    - #### testExpr

          public void testExpr()
                        throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.